petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatColoringSetType

Sets the type of coloring algorithm used

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatColoringSetType(MatColoring mc,MatColoringType type)

Collective on MatColoring

### Input Parameter

| mc | - the MatColoring context
| type | - the type of coloring

Notes: Possible types include the sequential types MATCOLORINGLF, MATCOLORINGSL, and MATCOLORINGID from the MINPACK package as well as a parallel MATCOLORINGMIS algorithm.

### Keywords

Coloring, type

### See Also

MatColoringCreate(), MatColoringApply()

Level:beginner
Location:src/mat/color/interface/matcoloring.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex16.c.html